<template>

  <!--  <h1 v-if="false">Contenido de prueba</h1>-->
  <!--  <h2 v-else-if="variable">Texto de prueba</h2>-->
  <!--  <h3 v-else>Contenido secundario</h3>-->
  <!--  <p>texto</p>-->

  <h1 v-show="mostrarTexto">God of War</h1>

  <h2 v-if="mostrarTexto">Resident Evil</h2>
  <h2 v-else>Watch Dogs</h2>

  <h3 v-html="texto"></h3>
  <h3 :style="'color: red'">{{ texto }}</h3>

  <h4 v-once>{{ texto }}</h4>

  <ol>
    <li v-for="restaurante in vector" v-bind:key="restaurante">
      {{ restaurante }}
    </li>
  </ol>

  <button @click="cambiarContenido">Click</button>

</template>

<script>
export default {
  name: "EjemploComponente",
  data() {
    return {
      variable: false,
      mostrarTexto: true,
      texto: "prueba desde variable",
      vector: [
        "Pollolandia",
        "KFC",
        "Burger King",
        "McDonalds",
        "La taquería de Juan"
      ]
    }
  },
  methods: {
    cambiarContenido () {
      this.texto = "Otra prueba";
    }
  }
}
</script>

<style scoped>

</style>